.row.second-bar
  = render template: 'shared/breadcrumbs', locals: { final_title: t(:edit) }

= render 'shared/alerts'
.row
  .col-md-8.offset-md-2.col-xl-6.offset-xl-3
    .ls60
    %h2= t(:edit_committee)
    %hr
    - if current_user.admin?
      .col-md-6.offset-md-3
        = link_to t(:edit_states), stateman_url(@committee),
        target: '_blank', class: 'btn btn-primary btn-block'
      %hr
    = render 'form', committee: @committee, states: @states

    = link_to t(:back), committees_path, class: 'btn btn-secondary'

    .ls60
    %h2= t(:edit_committee_ranks)
    %hr

    %ul.list-group
      - @ranks.each do |rank|
        %li.list-group-item.show-on-hover-parent
          .col-lg-11.col-sm-10
            .btn-sm= rank.name
          .col-lg-1.col-sm-2.show-on-hover= link_to t(:delete),
          [@committee, rank], method: :delete, class: 'btn btn-sm btn-warning'

      %li.list-group-item
        = form_for [@committee, @rank], html: { class: 'form-inline' } do |f|
          = f.label :name, class: 'sr-only'
          .input-group
            .input-group-addon= t(:add_rank)
            = f.text_field :name, class: 'form-control'
            .input-group-addon
              = f.submit t(:add), class: 'btn btn-sm'

    .ls60
    %h2= t(:edit_committee_environments)
    %hr

    %ul.list-group
      - @environments.each do |environment|
        %li.list-group-item.show-on-hover-parent
          .col-lg-10.col-md-6.col-sm-8
            .btn-sm
              = environment.name
              (#{environment.supervisor_name || t(:no_supervisor)})
          .col-lg-1.col-md-3.col-sm-2.show-on-hover= link_to t(:edit), [:edit,
          @committee, environment], class: 'btn btn-sm btn-secondary'
          .col-lg-1.col-md-3.col-sm-2.show-on-hover= link_to t(:delete),
          [@committee, environment], method: :delete,
          class: 'btn btn-sm btn-warning'

      %li.list-group-item
        = form_for [@committee, @environment],
        html: { class: 'form-inline' } do |f|
          = f.label :name, class: 'sr-only'
          .input-group
            .input-group-addon= t(:add_environment)
            = f.text_field :name, class: 'form-control'
            .input-group-addon
              = f.submit t(:add), class: 'btn btn-sm'

    .ls60
    %h2
      %a#edit-committee-drive= t(:edit_committee_drive)
    %hr

    - if Rails.application.secrets.google_client_id.present?
      - if @committee.drive_token?
        .btn-group-vertical.float-right
          = form_for @committee do |f|
            = f.hidden_field :drive_token_raw, value: ''
            = f.hidden_field :drive_root, value: ''
            = f.submit t(:delete_drive), class: 'btn btn-danger',
            data: { confirm: t(:confirm_delete_drive_root) }
          = link_to t(:open_dir), drive_root_url(@committee),
          class: 'btn btn-info', target: '_blank'
        %p= t(:drive_configured)
        - if @committee.drive_root?
          %p= t(:drive_root_configured, dir: @root_dir_name)
        .ls40
        - unless @committee.drive_root?
          - if params[:drive_root].present?
            = form_for @committee, html: { class: 'field_with_errors' } do |f|
              %h5= f.label :drive_root
              .input-group
                = f.select :drive_root, folders, {},
                class: 'form-control custom-select'
                .btn-group
                  = f.submit t(:save), class: 'btn btn-primary'
                  = link_to t(:back), edit_committee_path(@committee,
                  anchor: 'edit-committee-drive'), class: 'btn btn-secondary'
          - else
            %form.field_with_errors
              %h5= label_tag :drive_root, t(:drive_root)
              .input-group
                = text_field_tag :drive_root, '', class: 'form-control'
                = submit_tag t(:search), class: 'btn btn-primary'
      - else
        .hidden#add-drive-input
          = form_for @committee, html: { class: 'field_with_errors' } do |f|
            .input-group
              = f.hidden_field :redirection,
              value: edit_committee_path(@committee,
              anchor: 'edit-committee-drive')
              = f.text_field :drive_token_raw, placeholder: t(:put_token_here),
              class: 'form-control'
              = f.submit t(:save), class: 'btn btn-primary'
        = link_to t(:add_drive), @drive.authorization_url, target: '_blank',
        class: 'btn btn-primary', id: 'add-drive-button'
      :javascript
        $('#add-drive-button').click(function(e) {
          $(this).css('display', 'none');
          $('#add-drive-input').css('display', 'initial');
        });
    - else
      You need to set up GOOGLE_CLIENT_ID env var to use google drive.
